/**
 * \file demo.cpp
 * \author Christopher Ruwisch (christopher.ruwisch@tu-berlin.de)
 * \brief Demo application for usage of airfoils library (airfoils)
 * \version 0.1
 * \date 2024-08-19
 *
 * @copyright Copyright (c) 2024
 *
 */

/* === Includes === */
#include <airfoils/airfoils.h>

#include <string>
int main(int argc, char** argv) {
  try {
    Airfoils airfoils("../airfoils/available_airfoil_storage");
    airfoils.print_available_airfoils();
    airfoils.copy_available_airfoil("naca0012", "../airfoils/copy_airfoils_storage");
  } catch (std::string& e) {
    std::cerr << e << std::endl;
  } catch (std::exception& e) {
    std::cerr << e.what() << std::endl;
  }
  return 0;
}
